Subject: Offline Message from David Whippo: Swagtron eb6 rear tire tube, and instructi
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 08 Jul 2022 06:20:00 -0000

From: David Whippo <[email-masked]>
Phone: 5417916633
Location: Grants Pass, United States
URL: https://swagtron.com/parts-accessories/
Department: SwagTron

Swagtron eb6 rear tire tube, and instructions to replace it.

It would be greatly appreciated, and I'll post in a 50k person Eugene group that I manage about how great your product is...or I'll be petty, and spiteful by saying I hate your company. I'm a lovely known comedian, so I'm already a spiteful and petty alcoholic.

😉

----
Zopim
https://www.zopim.com